{% extends 'pages/admin_page.html' %}
{% load static %}

{% block title %}AllImages{% endblock %}

{% block admin_content %}
    {#    <img src="{{ post.image.url }}">#}
    {% for image in images %}
{#        <img src="{{ image.image.url }}" alt="{{ image.image }}">#}
        <div class="row">
            <div class="card col-xl-3 col-lg-4 col-md-6 col-sm-12"
                 style="max-width: 20rem;">
                <div class="card-header fw-bold"> {{ image.image.image }}</div>
                <img src="{{ image.image.url }}" class="card-img-top" alt="{{ image.image }}">
                <div class="card-body">

                    {% if perms.image.delete_image %}
                        <a class="btn btn-danger btn-sm" href="{% url 'image_delete' image.id %}"
                           role="button">Sterge Poza</a>
                    {% endif %}

                </div>
            </div>
        </div>
    {% endfor %}
    {% for image in facility_images %}
{#         <img src="{{ image.image.url }}" alt="{{ image.image }}">#}
        <div class="row">
            <div class="card col-xl-3 col-lg-4 col-md-6 col-sm-12"
                 style="max-width: 20rem;">
                <div class="card-header fw-bold"> {{ image.facility_images.image }}</div>
                <img src="{{ image.image.url }}" class="card-img-top" alt="{{ image.image }}">
                <div class="card-body">

                    {% if perms.facility_image.delete_facility %}
                        <a class="btn btn-danger btn-sm" href="{% url 'facility_image_delete' image.id %}"
                           role="button">Sterge Poza</a>
                    {% endif %}

                </div>
            </div>
        </div>
    {% endfor %}
{% endblock %}